# Preparations for course: Code and data management with Git

- Date: December 1st, 2015
- Time: 9:00 - 17:00
- Location: T-0-010
- Teachers:
  - Martijn Vermaat (m.vermaat.hg@lumc.nl)
  - Jeroen Laros (j.f.j.laros@lumc.nl)
  - Wibowo Arindrarto (W.Arindrarto@lumc.nl)
  - Szymon Kiełbasa (S.M.Kielbasa@lumc.nl)


## Program

Very preliminary, please update, extend, or comment.

| Time  | Subject           | Teacher           | Contents                  |
| ----- | ----------------- | ----------------- | ------------------------- |
| 09:00 | **Introduction**  | Jeroen Laros      | Welcome, GitLab overview  |
| 09:30 | *Practical*       |                   |                           |
| 09:45 | **Git basics**    | Wibowo Arindrarto | Basic Git command line fu |
| 10:15 | *Practical*       |                   |                           |
| 10:45 | Coffee            |                   |                           |
| 11:00 | **Git remotes**   | Martijn Vermaat   | Collaborating via GitLab  |
| 11:30 | *Practical*       |                   |                           |
| 12:00 | Lunch             |                   |                           |
| 13:00 | **Git conflicts** | Martijn Vermaat?  | Merge conflicts, protected branches |
| 13:30 | *Practical*       |                   |                           |
| 14:00 | Break             |                   |                           |
| 14:30 | **Data analysis** | Szymon Kiełbasa   | Project template, R-Studio, GitLab |
| 15:00 | *Practical*       |                   |                           |
| 15:30 | Leftover minutes  |                   | TODO: assign to some lecture or practical |
| 16:00 | Questions, drinks |                   |                           |

- Branches: not in this course
- Git annex: not in this course


## Participants

Our current list (not yet confirmed):

- Saeed Katiraei
- Rick de Leeuw
- Roel Zinkstok (ONCO)
- Martijn Eenink (ONCO)
- Tooba Tabbassidaloii
- Soheil Yousefi
- Tarek Malas
- Jonathan Vis
- Thomas Chin-A-Woeng
- Sake (?)
- Niels (?)
- Angga Fuady


# Course materials

We can reuse many slides from last year, see the contents of this repository.

We will provide the course materials and program via GitLab. So this GitLab
project will be the course homepage.

The old course homepage can still be found here, but will be deleted before the
course starts: https://humgenprojects.lumc.nl/trac/humgenprojects/wiki/gitcourse